Совместимость шаблонов OpenCart разных версий?

Тема в разделе "OpenCart", создана пользователем exciter, 8 апр 2013.

  1. exciter

    exciter

    Регистрация:
    8 апр 2013
    Сообщения:
    5
    Симпатии:
    0
    Вот столкнулся с проблемой, есть шаблон к версии 1.5.4.1 встанет ли он на последнюю 1.5.5.1? Если нет но много ли нужно будет вносить поправок? Просто не хочется покупать шаблон а потом его еще и допиливать напильником, ну в смысле допиливать всегда почти приходится, но не так чтоб еще и под версию подгонять.
    Как то очень мало информации о совместимости версий у OpenCart. А самому верстать времени нет, сроки поджимают...

    Кто сталкивался подскажите чем грозит такое приобретение? :Smile:
     
  2. noobie

    noobie

    Регистрация:
    27 мар 2013
    Сообщения:
    173
    Симпатии:
    22
    Если вы решили покупать шаблон можно просто спросить у автора есть ли совместимость с нужной версией (да и обычно в описании шаблона пишут под какую версию он идет). Некоторые шаблоны продаются и в комплекте для разных версий варианты сразу. Некоторые шаблоны более универсальны (если не затрагивают функционал который менялся в версиях).
     
  3. exciter

    exciter

    Регистрация:
    8 апр 2013
    Сообщения:
    5
    Симпатии:
    0
    Спасибо за ответ, на сайте продавца версия 1.5.5.х не указанна, но написано что совместим с 1.5.4.х, спросить то я спрошу перед тем как покупать, но скорей всего не в зависимости от ответа шаблон куплю, так как очень подходит...

    Возможно я не правильно задал вопрос, хотелось бы знать есть ли заметные отличия между OpenCart 1.5.4.x и 1.5.5.х и как они могут повлиять на совместимость шаблонов.
     
  4. Bnopen

    Bnopen Команда форума

    Регистрация:
    3 мар 2013
    Сообщения:
    1.155
    Симпатии:
    514
    exciter, вообще-то, если шаблон или модуль платный, то автор дополнения старается делать совместимости к последним версиям очень быстро - это же в его интересах, делать код под актуальную версию. Тем более версия 1.5.5.1 вышла не вчера. Я думаю, что пилить немного придется, если в шаблоне только свои стили, и файлы tpl для шапки, футера, и модулей. Хотя самое грандиозное в новой ОС - это появился фильтр товаров, ну и станет он как обычный box во фронтеде.
     
  5. Taker

    Taker

    Регистрация:
    2 дек 2012
    Сообщения:
    206
    Симпатии:
    143
    А можно ссылку на шаб? Сам проверял разные шаблоны многие 1.5.4.1 встают на 1.5.5.1 и наоборот,за исключением того что где то что то нужно потом ручками подправить!
     
  6. 130983

    130983

    Регистрация:
    10 дек 2012
    Сообщения:
    168
    Симпатии:
    145
    на самом деле все проще - смотрите какие изменения были внесены относительно версий, потом навскидку посмотрите на шаблон и прикиньте затронули ли эти нововведения что-то в шаблоне, если нет то можете смело брать, в конце концов ручкам все правится и не так уж и долго.